#include <bits/stdc++.h> 
using namespace std; 
const int maxn = 3e5 +5; 
int a[maxn]; 
 
int main(){ 
 int n, m; 
 cin >> n >> m; 
  
 set <int> s, v; 
  
 int pre = 0; 
 for(int i=1; i<=m; i++){ 
  cin >> a[i]; 
  s.insert(a[i]); 
  if(s.size() == pre){ 
   v.insert(a[i]); 
  } 
  pre = s.size(); 
 } 
  
 cout << v.size() << '\n'; 
 for(auto x:v){ 
  cout << x << " "; 
 } 
  
}
